<?php
declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

/**
 * Interface StoresLanguagesResultInterface
 * Stores and languages response data interface
 */
interface StoresLanguagesResultInterface
{
    /**
     * Get store IDs
     *
     * @return string[]
     */
    public function getStoreIds();

    /**
     * Set store IDs
     *
     * @param string[] $storeIds
     * @return $this
     */
    public function setStoreIds(array $storeIds);

    /**
     * Get languages
     *
     * @return string[]
     */
    public function getLanguages();

    /**
     * Set languages
     *
     * @param string[] $languages
     * @return $this
     */
    public function setLanguages(array $languages);
}
